/*
 * 작성일: 2005. 7. 7.
 * 작성자: 이강우
 * 설  명: IRC 사용자 클래스
 * 각 사용자들의 정보를 담고 있다.
 */
package net.koov.irc;

/**
 * @작성자 이강우
 * @작성일 2005. 7. 7.
 * @수정일 2005. 7. 7.
 *
 */
public class User {
	
	private String		userID;
	private String		userNick;
	private String		userHost;

	public User() {
		
	}
	
	/**
	 * 유저 생성자
	 * @param nick
	 * @param host
	 * @param ip
	 */
	public User(String id, String nick, String host) {
		this.userID		= id;
		this.userNick	= nick;
		this.userHost	= host;
	}
	/**
	 * @return Returns the userHost.
	 */
	public String getUserHost() {
		return userHost;
	}
	/**
	 * @param userHost The userHost to set.
	 */
	public void setUserHost(String userHost) {
		this.userHost = userHost;
	}
	/**
	 * @return Returns the userIp.
	 */
	public String getUserID() {
		return userID;
	}
	/**
	 * @param userIp The userIp to set.
	 */
	public void setUserID(String userID) {
		this.userID = userID;
	}
	/**
	 * @return Returns the userNick.
	 */
	public String getUserNick() {
		return userNick;
	}
	/**
	 * @param userNick The userNick to set.
	 */
	public void setUserNick(String userNick) {
		this.userNick = userNick;
	}
}
